Initialize a new `Base` reporter.

All other reporters generally inherit from this reporter, providing stats such as test duration, number of tests passed / failed, etc.

see

  https://mochajs.org/api/Mocha.reporters.Base.html

### Hierarchy

- Base

## Index

### Constructors

- constructor

### Properties

- failures
- runner
- stats

### Methods

- done
- epilogue

## Constructors

### constructor

- new Base(runner: Runner, options?: MochaOptions): Base
- new Base(runner: IRunner, options?: MochaOptions): Base

- - Defined in node_modules/@types/mocha/index.d.ts:685

  #### Parameters

  - ##### runner: Runner

  - ##### Optional options: MochaOptions

  #### Returns Base

- - Defined in node_modules/@types/mocha/index.d.ts:686
  deprecated

    Use the overload that accepts `Mocha.Runner` instead.

  #### Parameters

  - ##### runner: IRunner

  - ##### Optional options: MochaOptions

  #### Returns Base

## Properties

### failures

failures: Test[]

- Defined in node_modules/@types/mocha/index.d.ts:698

Test failures

### runner

runner: Runner

- Defined in node_modules/@types/mocha/index.d.ts:703

The configured runner

### stats

stats: Stats

- Defined in node_modules/@types/mocha/index.d.ts:693

Test run statistics

## Methods

### Optional done

- done(failures: number, fn?: undefined | function): void

- - Defined in node_modules/@types/mocha/index.d.ts:712

  #### Parameters

  - ##### failures: number

  - ##### Optional fn: undefined | function

  #### Returns void

### epilogue

- epilogue(): void

- - Defined in node_modules/@types/mocha/index.d.ts:710

  Output common epilogue used by many of the bundled reporters.

  see

    https://mochajs.org/api/Mocha.reporters.Base.html#.Base#epilogue

  #### Returns void

Generated using TypeDoc